GET api/badgereaderapi/badgereadersbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "be15a2b0-916b-4b9e-8a00-0b7a64fc8bf6",
"name": "sample string 2",
"pc_id": "aaf8aa5c-7960-416f-b61d-6469b99c52d3",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "47a61996-2648-4e48-883c-6a82c902a6f1",
"site_id": "2c8e26f8-2be9-4bd5-b422-73615d3c6b42",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
},
{
"id": "be15a2b0-916b-4b9e-8a00-0b7a64fc8bf6",
"name": "sample string 2",
"pc_id": "aaf8aa5c-7960-416f-b61d-6469b99c52d3",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "47a61996-2648-4e48-883c-6a82c902a6f1",
"site_id": "2c8e26f8-2be9-4bd5-b422-73615d3c6b42",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
]
application/xml, text/xml
Sample:
<ArrayOfbadgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<badgereader>
<active>true</active>
<badge_reader_type_id>47a61996-2648-4e48-883c-6a82c902a6f1</badge_reader_type_id>
<baudrate>1</baudrate>
<com_port>1</com_port>
<data_bits>7</data_bits>
<direction>sample string 3</direction>
<handshake>9</handshake>
<has_correspondence>true</has_correspondence>
<id>be15a2b0-916b-4b9e-8a00-0b7a64fc8bf6</id>
<name>sample string 2</name>
<parity>6</parity>
<pc_id>aaf8aa5c-7960-416f-b61d-6469b99c52d3</pc_id>
<site_id>2c8e26f8-2be9-4bd5-b422-73615d3c6b42</site_id>
<stop_bits>8</stop_bits>
</badgereader>
<badgereader>
<active>true</active>
<badge_reader_type_id>47a61996-2648-4e48-883c-6a82c902a6f1</badge_reader_type_id>
<baudrate>1</baudrate>
<com_port>1</com_port>
<data_bits>7</data_bits>
<direction>sample string 3</direction>
<handshake>9</handshake>
<has_correspondence>true</has_correspondence>
<id>be15a2b0-916b-4b9e-8a00-0b7a64fc8bf6</id>
<name>sample string 2</name>
<parity>6</parity>
<pc_id>aaf8aa5c-7960-416f-b61d-6469b99c52d3</pc_id>
<site_id>2c8e26f8-2be9-4bd5-b422-73615d3c6b42</site_id>
<stop_bits>8</stop_bits>
</badgereader>
</ArrayOfbadgereader>